## org.omg.CORBA
Class ModuleDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ModuleDefHelper

public class ModuleDefHelper
extends java.lang.Object

Helper class for : ModuleDef

Author:
  OpenORB Compiler

Constructor Summary
`ModuleDefHelper()`

Method Summary
`static ModuleDef` `extract(Any a)` Extract ModuleDef from an any
`static java.lang.String` `id()` Return the ModuleDef IDL ID
`static void` `insert(Any a, ModuleDef t)` Insert ModuleDef into an any
`static ModuleDef` `narrow(Object obj)` Narrow CORBA::Object to ModuleDef
`static ModuleDef` `read(InputStream istream)` Read ModuleDef from a marshalled stream
`static TypeCode` `type()` Return the ModuleDef TypeCode
`static ModuleDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ModuleDef
`static void` `write(OutputStream ostream, ModuleDef value)` Write ModuleDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleDefHelper

    public ModuleDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ModuleDef t)

  Insert ModuleDef into an any
  Parameters:
    `a` - an any
    `t` - ModuleDef value

### extract

    public static ModuleDef extract(Any a)

  Extract ModuleDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ModuleDef value

### type

    public static TypeCode type()

  Return the ModuleDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ModuleDef IDL ID
  Returns:
    an ID

### read

    public static ModuleDef read(InputStream istream)

  Read ModuleDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ModuleDef value

### write

    public static void write(OutputStream ostream,
                             ModuleDef value)

  Write ModuleDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ModuleDef value

### narrow

    public static ModuleDef narrow(Object obj)

  Narrow CORBA::Object to ModuleDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ModuleDef Object

### unchecked_narrow

    public static ModuleDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ModuleDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ModuleDef Object